{
  "format_version": "1.13.0",
  "minecraft:single_block_feature": {
    "description": {
      "identifier": "nicothekid:plant_x_mushroom_brown_x_01_x_singleblock"
    },
    "places_block": "minecraft:brown_mushroom",
    "enforce_survivability_rules": false,
    "enforce_placement_rules": false,
    "may_replace": [
      "minecraft:air"
    ],
    "may_attach_to": {
			"bottom": [
			  {
          "tags": "query.any_tag('corrupted_dirt')"
        },
			  {
          "tags": "query.any_tag('custom_log')"
        },
			  {
          "tags": "query.any_tag('custom_wood')"
        },
			  {
          "tags": "query.any_tag('grassed_stones')"
        },
			  {
          "tags": "query.any_tag('grassed_woods')"
        },
			  {
          "tags": "query.any_tag('mossed_stones')"
        },
			  {
          "tags": "query.any_tag('mossed_woods')"
        },
			  {
          "tags": "query.any_tag('myceliumed_stones')"
        },
			  {
          "tags": "query.any_tag('myceliumed_woods')"
        },
				"minecraft:cobblestone",
			  "minecraft:dirt",
				"minecraft:dirt_with_roots",
			  "minecraft:grass",
				"minecraft:log",
				"minecraft:log2",
				"minecraft:mangrove_log",
				"minecraft:moss_block",
        "minecraft:mossy_cobblestone",
				"minecraft:mud",
				"minecraft:mycelium",
				"minecraft:podzol",
        "minecraft:stone"
			]
		}
  }
}